Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# DebugDataRunTimeMessage Class Reference

`#include <BroadCastStatusHandler.h>`

List of all members.

## Public Attributes
double | CognitionAverage
double | GTCamAverage
double | SpecialVisionAverage
double | SensorBehaviorControlAverage
double | BehaviorControlAverage
double | SelfLocatorAverage
double | ObstaclesLocatorAverage
double | PlayersLocatorAverage
double | TeamBallLocatorAverage
double | BallLocatorAverage
double | RobotStateDetectorAverage
double | CollisionDetectorAverage
double | SensorDataProcessorAverage
double | ImageProcessorAverage
double | ColorTableModAverage

## Member Data Documentation

double DebugDataRunTimeMessage::CognitionAverage

| Definition at line 51 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::GTCamAverage

| Definition at line 52 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::SpecialVisionAverage

| Definition at line 53 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::SensorBehaviorControlAverage

| Definition at line 54 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::BehaviorControlAverage

| Definition at line 55 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::SelfLocatorAverage

| Definition at line 56 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::ObstaclesLocatorAverage

| Definition at line 57 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::PlayersLocatorAverage

| Definition at line 58 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::TeamBallLocatorAverage

| Definition at line 59 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::BallLocatorAverage

| Definition at line 60 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::RobotStateDetectorAverage

| Definition at line 61 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::CollisionDetectorAverage

| Definition at line 62 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::SensorDataProcessorAverage

| Definition at line 63 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::ImageProcessorAverage

| Definition at line 64 of file BroadCastStatusHandler.h.

double DebugDataRunTimeMessage::ColorTableModAverage

| Definition at line 65 of file BroadCastStatusHandler.h.

The documentation for this class was generated from the following file:

- Platform/Aperios1.3.2/BroadCastStatusHandler.h